/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://public.eu-egee.org/partners/ for details on 
 * the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Authors: 
 *      Paolo Badino <Paolo.Badino@cern.ch>>
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Peter Kunszt <Peter.Kunszt@cern.ch>
 *      Gavin McCance <Gavin.McCance@cern.ch>
 *      Krzysztof Nienartowicz <Krzysztof.Nienartowicz@cern.ch>
 *      Ricardo Rocha <Ricardo.Rocha@cern.ch>
 *      Jozsef Kovacs <smith@lutra.sztaki.hu>
 *      Daniel Rodrigues <Daniel.Rodrigues@cern.ch>
 */
package org.glite.data.catalog.service;

import org.glite.data.catalog.service.Stat;

/**
 * The stat for LFNs, symlinks and directories, extending the {@link
 * org.glite.data.catalog.service.Stat} baseclass.  In addition to the
 * creation time it stores the last modification time and validity
 * time, the directory type (normal, virtual, symlink) and permission
 * as well as data on symbolic links and virtual directories (the
 * target LFN for symlinks and the query for virtual directories).
 */

// This class here bis only a template which will be used solely for
// WSDL and javadoc generation.  Hence is does not contain any
// elements and the implementation is dummy.  The same class will be
// regenerated from the WSDL, which will contain the autogenerated
// entries and the proper implementation.
public class LFNStat extends Stat {

    /** 0 - directory, 1 - file, 2 - symlink, 3 - virtual directory. */
    public int type;

    public String data;

    /** The time when the entry expires. */
    public long validityTime;

}
