/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://public.eu-egee.org/partners/ for details on 
 * the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Authors: 
 *      Paolo Badino <Paolo.Badino@cern.ch>>
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Peter Kunszt <Peter.Kunszt@cern.ch>
 *      Gavin McCance <Gavin.McCance@cern.ch>
 *      Krzysztof Nienartowicz <Krzysztof.Nienartowicz@cern.ch>
 *      Ricardo Rocha <Ricardo.Rocha@cern.ch>
 *      Jozsef Kovacs <smith@lutra.sztaki.hu>
 *      Daniel Rodrigues <Daniel.Rodrigues@cern.ch>
 */
package org.glite.data.catalog.service;

/**
 * A replica catalog entries' parameters. It stores the GUID, the SURLs 
 * associated with it denoting all its replicas and associated stat data.
 * GUID is a Global Unique identifier of file, which is imutable.
 * SURL is the Storage Uniform Resource Locator, which is to be
 * given to a target Storage Element (SRM) to gain access to the
 * real file.
 * @stereotype main argument wrapper
 */

// This class here is only a template which will be used solely for
// WSDL and javadoc generation.  Hence is does not contain any
// elements and the implementation is dummy.  The same class will be
// regenerated from the WSDL, which will contain the autogenerated
// entries and the proper implementation.
public class RCEntry {

    public String guid;

    public GUIDStat GUIDStat;

    public Permission permission;

    public SURLEntry[] surlStats;
    
}
